> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an SSH tunnel

> Creates a new SSH tunnel for the authenticated company.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /ssh-tunnels
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /ssh-tunnels:
    post:
      tags:
        - SSH Tunnels
      summary: Create an SSH tunnel
      description: Creates a new SSH tunnel for the authenticated company.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouterSSHTunnelCreateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsSSHTunnel'
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterSSHTunnelCreateRequest:
      properties:
        environmentUUID:
          format: uuid
          nullable: true
          type: string
        host:
          type: string
        name:
          type: string
        port:
          type: integer
        username:
          type: string
      required:
        - host
        - port
        - username
      type: object
    PayloadsSSHTunnel:
      properties:
        companyUUID:
          format: uuid
          type: string
        createdAt:
          format: date-time
          type: string
        environmentUUID:
          format: uuid
          type: string
        host:
          type: string
        isInUse:
          nullable: true
          type: boolean
        name:
          type: string
        port:
          type: integer
        publicKey:
          type: string
        updatedAt:
          format: date-time
          type: string
        username:
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - uuid
        - companyUUID
        - environmentUUID
        - name
        - host
        - port
        - publicKey
        - username
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````